Enspace
  1. Flows
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • Tutorial Actions
              • Integrations
                • Tutorial Integrations
            • List Tasks
            • Get specific Task
            • New Task
          • List Stages
          • Get specific Stage
        • List Flows
          GET
        • Get specific Flow
          GET
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
        GET
      • Count Types
        GET
      • Get specific Type
        GET
      • Create Type
        POST
      • Update Type
        PUT
      • Delete Type
        DELETE
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • Integration
      • Create Integration
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
    • List API Keys
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Flows

Get specific Flow

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
GET
https://api-develop.enspace.io
/c-type-flows/{id}
Maintainer:Julio Cordeiro

Get Flow#

Retrieves the details of a specific flow by its identifier. A flow represents a structured process associated with an item type.
The response includes the flow metadata such as name, status, start configuration, icon, associated item type, and the user who created it. It also returns the stages that compose the flow, including their configuration and related information.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Path Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-develop.enspace.io/c-type-flows/1' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>'
Response Response Example
200 - Example 1
{
    "id": 0,
    "name": "string",
    "status": "string",
    "item_type": {
        "name": "string",
        "slug": "string",
        "description": "string",
        "icon": "string",
        "color": "string",
        "settings": {
            "property1": "string",
            "property2": "string"
        }
    },
    "start_type": "always",
    "icon": "string",
    "user": {
        "id": 0,
        "created_at": "string",
        "email": "string",
        "meta": {
            "fname": "string",
            "lname": "string"
        }
    },
    "created_at": "2019-08-24T14:15:22.123Z",
    "updated_at": "2019-08-24T14:15:22.123Z"
}
Previous
List Flows
Next
List Form
Built with